package com.chinaitop.depot.intelligent.basicdata.model;

import java.math.BigDecimal;
import java.util.Date;

public class TQtdevinfo {
    private String id;

    private String orgId;

    private String vdevcode;

    private String vdevname;

    private Integer vdevkindcode;

    private String vunit;

    private BigDecimal faddvalue;

    private Integer inoutstorage;

    private String sitecode;

    private String vcfcode;

    private Integer idevtdh;

    private BigDecimal fvalue;

    private Date vvaluetime;

    private Integer valarmstatue;

    private Integer vstatue;

    private Date updatetime;

    private String remark;

    private Integer delFlag;

    /**
     * 气体液位数据id 32位
     * @return id 气体液位数据id 32位
     */
    public String getId() {
        return id;
    }

    /**
     * 气体液位数据id 32位
     * @param id 气体液位数据id 32位
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 库房id
     * @return org_id 库房id
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 库房id
     * @param orgId 库房id
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 设备编码
     * @return vdevcode 设备编码
     */
    public String getVdevcode() {
        return vdevcode;
    }

    /**
     * 设备编码
     * @param vdevcode 设备编码
     */
    public void setVdevcode(String vdevcode) {
        this.vdevcode = vdevcode == null ? null : vdevcode.trim();
    }

    /**
     * 设备名称
     * @return vdevname 设备名称
     */
    public String getVdevname() {
        return vdevname;
    }

    /**
     * 设备名称
     * @param vdevname 设备名称
     */
    public void setVdevname(String vdevname) {
        this.vdevname = vdevname == null ? null : vdevname.trim();
    }

    /**
     * 设备类型编码
     * @return vdevkindcode 设备类型编码
     */
    public Integer getVdevkindcode() {
        return vdevkindcode;
    }

    /**
     * 设备类型编码
     * @param vdevkindcode 设备类型编码
     */
    public void setVdevkindcode(Integer vdevkindcode) {
        this.vdevkindcode = vdevkindcode;
    }

    /**
     * 单位
     * @return vunit 单位
     */
    public String getVunit() {
        return vunit;
    }

    /**
     * 单位
     * @param vunit 单位
     */
    public void setVunit(String vunit) {
        this.vunit = vunit == null ? null : vunit.trim();
    }

    /**
     * 偏移值
     * @return faddvalue 偏移值
     */
    public BigDecimal getFaddvalue() {
        return faddvalue;
    }

    /**
     * 偏移值
     * @param faddvalue 偏移值
     */
    public void setFaddvalue(BigDecimal faddvalue) {
        this.faddvalue = faddvalue;
    }

    /**
     * 0:仓内；1：仓外
     * @return inoutstorage 0:仓内；1：仓外
     */
    public Integer getInoutstorage() {
        return inoutstorage;
    }

    /**
     * 0:仓内；1：仓外
     * @param inoutstorage 0:仓内；1：仓外
     */
    public void setInoutstorage(Integer inoutstorage) {
        this.inoutstorage = inoutstorage;
    }

    /**
     * 站点编码
     * @return sitecode 站点编码
     */
    public String getSitecode() {
        return sitecode;
    }

    /**
     * 站点编码
     * @param sitecode 站点编码
     */
    public void setSitecode(String sitecode) {
        this.sitecode = sitecode == null ? null : sitecode.trim();
    }

    /**
     * 仓房编码
     * @return vcfcode 仓房编码
     */
    public String getVcfcode() {
        return vcfcode;
    }

    /**
     * 仓房编码
     * @param vcfcode 仓房编码
     */
    public void setVcfcode(String vcfcode) {
        this.vcfcode = vcfcode == null ? null : vcfcode.trim();
    }

    /**
     * 通道号
     * @return idevtdh 通道号
     */
    public Integer getIdevtdh() {
        return idevtdh;
    }

    /**
     * 通道号
     * @param idevtdh 通道号
     */
    public void setIdevtdh(Integer idevtdh) {
        this.idevtdh = idevtdh;
    }

    /**
     * 通道值 检测结果
     * @return fvalue 通道值 检测结果
     */
    public BigDecimal getFvalue() {
        return fvalue;
    }

    /**
     * 通道值 检测结果
     * @param fvalue 通道值 检测结果
     */
    public void setFvalue(BigDecimal fvalue) {
        this.fvalue = fvalue;
    }

    /**
     * 检测结果获取时间
     * @return vvaluetime 检测结果获取时间
     */
    public Date getVvaluetime() {
        return vvaluetime;
    }

    /**
     * 检测结果获取时间
     * @param vvaluetime 检测结果获取时间
     */
    public void setVvaluetime(Date vvaluetime) {
        this.vvaluetime = vvaluetime;
    }

    /**
     * 设备状态 0:正常；1：异常
     * @return valarmstatue 设备状态 0:正常；1：异常
     */
    public Integer getValarmstatue() {
        return valarmstatue;
    }

    /**
     * 设备状态 0:正常；1：异常
     * @param valarmstatue 设备状态 0:正常；1：异常
     */
    public void setValarmstatue(Integer valarmstatue) {
        this.valarmstatue = valarmstatue;
    }

    /**
     * 操作状态 0关闭，1打开，2反正，3停止
     * @return vstatue 操作状态 0关闭，1打开，2反正，3停止
     */
    public Integer getVstatue() {
        return vstatue;
    }

    /**
     * 操作状态 0关闭，1打开，2反正，3停止
     * @param vstatue 操作状态 0关闭，1打开，2反正，3停止
     */
    public void setVstatue(Integer vstatue) {
        this.vstatue = vstatue;
    }

    /**
     * 更新时间
     * @return updatetime 更新时间
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 更新时间
     * @param updatetime 更新时间
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @return del_flag 删除标志（0：删除，1：未删除）
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @param delFlag 删除标志（0：删除，1：未删除）
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}